pcl::poisson::BSplineData< Degree, Real > Class Template Reference

`#include <pcl/surface/3rdparty/poisson4/bspline_data.h>`

## Classes

struct | BSplineComponents

## Public Member Functions

| BSplineData (void)
| ~BSplineData (void)
virtual void | setDotTables (int flags)
virtual void | clearDotTables (int flags)
virtual void | setValueTables (int flags, double smooth=0)
virtual void | setValueTables (int flags, double valueSmooth, double normalSmooth)
virtual void | clearValueTables (void)
void | setSampleSpan (int idx, int &start, int &end, double smooth=0) const
void | set (int maxDepth, bool useDotRatios=true, bool reflectBoundary=false)
int | Index (int i1, int i2) const

## Static Public Member Functions

static int | SymmetricIndex (int i1, int i2)
static int | SymmetricIndex (int i1, int i2, int &index)

## Public Attributes

int | depth
int | functionCount
int | sampleCount
Real * | vvDotTable
Real * | dvDotTable
Real * | ddDotTable
Real * | valueTables
Real * | dValueTables
PPolynomial< Degree > | baseFunction
PPolynomial< Degree > | leftBaseFunction
PPolynomial< Degree > | rightBaseFunction
PPolynomial< Degree-1 > | dBaseFunction
PPolynomial< Degree-1 > | dLeftBaseFunction
PPolynomial< Degree-1 > | dRightBaseFunction
BSplineComponents | baseBSpline
BSplineComponents | leftBSpline
BSplineComponents | rightBSpline
PPolynomial< Degree > * | baseFunctions
BSplineComponents * | baseBSplines

## Static Public Attributes

static const int | VV_DOT_FLAG = 1
static const int | DV_DOT_FLAG = 2
static const int | DD_DOT_FLAG = 4
static const int | VALUE_FLAG = 1
static const int | D_VALUE_FLAG = 2

## Detailed Description

### template<int Degree, class Real>
class pcl::poisson::BSplineData< Degree, Real >

Definition at line 42 of file bspline_data.h.

## Constructor & Destructor Documentation

## BSplineData()

template<int Degree, class Real >

pcl::poisson::BSplineData< Degree, Real >::BSplineData | ( | void |  | ) |

Definition at line 83 of file bspline_data.hpp.

## ~BSplineData()

template<int Degree, class Real >

pcl::poisson::BSplineData< Degree, Real >::~BSplineData | ( | void |  | ) |

Definition at line 91 of file bspline_data.hpp.

## Member Function Documentation

## clearDotTables()

template<int Degree, class Real >

void pcl::poisson::BSplineData< Degree, Real >::clearDotTables | ( | int | flags | ) |

virtual

Definition at line 285 of file bspline_data.hpp.

## clearValueTables()

template<int Degree, class Real >

void pcl::poisson::BSplineData< Degree, Real >::clearValueTables | ( | void |  | ) |

virtual

Definition at line 361 of file bspline_data.hpp.

## Index()

template<int Degree, class Real >

int pcl::poisson::BSplineData< Degree, Real >::Index | ( | int | i1,
|  | int | i2
| ) |  | const

inline

Definition at line 368 of file bspline_data.hpp.

Referenced by pcl::poisson::Octree< Degree >::finalize().

## set()

template<int Degree, class Real >

void pcl::poisson::BSplineData< Degree, Real >::set | ( | int | maxDepth,
|  | bool | useDotRatios = `true`,
|  | bool | reflectBoundary = `false`
| ) |  |

Definition at line 108 of file bspline_data.hpp.

Referenced by pcl::poisson::Octree< Degree >::GetSolutionGrid().

## setDotTables()

template<int Degree, class Real >

void pcl::poisson::BSplineData< Degree, Real >::setDotTables | ( | int | flags | ) |

virtual

Definition at line 167 of file bspline_data.hpp.

## setSampleSpan()

template<int Degree, class Real >

void pcl::poisson::BSplineData< Degree, Real >::setSampleSpan | ( | int | idx,
|  | int & | start,
|  | int & | end,
|  | double | smooth = `0`
| ) |  | const

Definition at line 292 of file bspline_data.hpp.

Referenced by pcl::poisson::Octree< Degree >::GetSolutionGrid().

## setValueTables() [1/2]

template<int Degree, class Real >

void pcl::poisson::BSplineData< Degree, Real >::setValueTables | ( | int | flags,
|  | double | smooth = `0`
| ) |  |

virtual

Definition at line 311 of file bspline_data.hpp.

Referenced by pcl::poisson::Octree< Degree >::GetSolutionGrid().

## setValueTables() [2/2]

template<int Degree, class Real >

void pcl::poisson::BSplineData< Degree, Real >::setValueTables | ( | int | flags,
|  | double | valueSmooth,
|  | double | normalSmooth
| ) |  |

virtual

Definition at line 339 of file bspline_data.hpp.

## SymmetricIndex() [1/2]

template<int Degree, class Real >

int pcl::poisson::BSplineData< Degree, Real >::SymmetricIndex | ( | int | i1,
|  | int | i2
| ) |  |

inline static

Definition at line 370 of file bspline_data.hpp.

## SymmetricIndex() [2/2]

template<int Degree, class Real >

int pcl::poisson::BSplineData< Degree, Real >::SymmetricIndex | ( | int | i1,
|  | int | i2,
|  | int & | index
| ) |  |

inline static

Definition at line 376 of file bspline_data.hpp.

## Member Data Documentation

## baseBSpline

template<int Degree, class Real>

BSplineComponents pcl::poisson::BSplineData< Degree, Real >::baseBSpline

Definition at line 67 of file bspline_data.h.

## baseBSplines

template<int Degree, class Real>

BSplineComponents* pcl::poisson::BSplineData< Degree, Real >::baseBSplines

Definition at line 69 of file bspline_data.h.

## baseFunction

template<int Degree, class Real>

PPolynomial< Degree > pcl::poisson::BSplineData< Degree, Real >::baseFunction

Definition at line 65 of file bspline_data.h.

## baseFunctions

template<int Degree, class Real>

PPolynomial<Degree>* pcl::poisson::BSplineData< Degree, Real >::baseFunctions

Definition at line 68 of file bspline_data.h.

## D_VALUE_FLAG

template<int Degree, class Real>

const int pcl::poisson::BSplineData< Degree, Real >::D_VALUE_FLAG = 2

static

Definition at line 60 of file bspline_data.h.

## dBaseFunction

template<int Degree, class Real>

PPolynomial< Degree-1 > pcl::poisson::BSplineData< Degree, Real >::dBaseFunction

Definition at line 66 of file bspline_data.h.

## DD_DOT_FLAG

template<int Degree, class Real>

const int pcl::poisson::BSplineData< Degree, Real >::DD_DOT_FLAG = 4

static

Definition at line 58 of file bspline_data.h.

## ddDotTable

template<int Degree, class Real>

Real * pcl::poisson::BSplineData< Degree, Real >::ddDotTable

Definition at line 63 of file bspline_data.h.

## depth

template<int Degree, class Real>

int pcl::poisson::BSplineData< Degree, Real >::depth

Definition at line 62 of file bspline_data.h.

## dLeftBaseFunction

template<int Degree, class Real>

PPolynomial< Degree-1 > pcl::poisson::BSplineData< Degree, Real >::dLeftBaseFunction

Definition at line 66 of file bspline_data.h.

## dRightBaseFunction

template<int Degree, class Real>

PPolynomial< Degree-1 > pcl::poisson::BSplineData< Degree, Real >::dRightBaseFunction

Definition at line 66 of file bspline_data.h.

## DV_DOT_FLAG

template<int Degree, class Real>

const int pcl::poisson::BSplineData< Degree, Real >::DV_DOT_FLAG = 2

static

Definition at line 57 of file bspline_data.h.

## dValueTables

template<int Degree, class Real>

Real * pcl::poisson::BSplineData< Degree, Real >::dValueTables

Definition at line 64 of file bspline_data.h.

## dvDotTable

template<int Degree, class Real>

Real * pcl::poisson::BSplineData< Degree, Real >::dvDotTable

Definition at line 63 of file bspline_data.h.

## functionCount

template<int Degree, class Real>

int pcl::poisson::BSplineData< Degree, Real >::functionCount

Definition at line 62 of file bspline_data.h.

Referenced by pcl::poisson::Octree< Degree >::GetSolutionGrid().

## leftBaseFunction

template<int Degree, class Real>

PPolynomial< Degree > pcl::poisson::BSplineData< Degree, Real >::leftBaseFunction

Definition at line 65 of file bspline_data.h.

## leftBSpline

template<int Degree, class Real>

BSplineComponents pcl::poisson::BSplineData< Degree, Real >::leftBSpline

Definition at line 67 of file bspline_data.h.

## rightBaseFunction

template<int Degree, class Real>

PPolynomial< Degree > pcl::poisson::BSplineData< Degree, Real >::rightBaseFunction

Definition at line 65 of file bspline_data.h.

## rightBSpline

template<int Degree, class Real>

BSplineComponents pcl::poisson::BSplineData< Degree, Real >::rightBSpline

Definition at line 67 of file bspline_data.h.

## sampleCount

template<int Degree, class Real>

int pcl::poisson::BSplineData< Degree, Real >::sampleCount

Definition at line 62 of file bspline_data.h.

## VALUE_FLAG

template<int Degree, class Real>

const int pcl::poisson::BSplineData< Degree, Real >::VALUE_FLAG = 1

static

Definition at line 59 of file bspline_data.h.

Referenced by pcl::poisson::Octree< Degree >::GetSolutionGrid().

## valueTables

template<int Degree, class Real>

Real* pcl::poisson::BSplineData< Degree, Real >::valueTables

Definition at line 64 of file bspline_data.h.

Referenced by pcl::poisson::Octree< Degree >::GetSolutionGrid().

## VV_DOT_FLAG

template<int Degree, class Real>

const int pcl::poisson::BSplineData< Degree, Real >::VV_DOT_FLAG = 1

static

Definition at line 56 of file bspline_data.h.

## vvDotTable

template<int Degree, class Real>

Real* pcl::poisson::BSplineData< Degree, Real >::vvDotTable

Definition at line 63 of file bspline_data.h.

The documentation for this class was generated from the following files:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/poisson4/bspline_data.h
- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/poisson4/bspline_data.hpp